<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module: CytoskeletonHelper</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Module</strong></td>
          <td class="class-name-in-header">CytoskeletonHelper</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/helpers/cytoskeleton_helper_rb.html">
                app/helpers/cytoskeleton_helper.rb
                </a>
        <br />
            </td>
        </tr>

        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000093">area_controls</a>&nbsp;&nbsp;
      <a href="#M000094">display_area</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000093" class="method-detail">
        <a name="M000093"></a>

        <div class="method-heading">
          <a href="#M000093" class="method-signature">
          <span class="method-name">area_controls</span><span class="method-args">(area)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000093-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000093-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/cytoskeleton_helper.rb, line 3</span>
 3:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">area_controls</span> (<span class="ruby-identifier">area</span>)
 4:     <span class="ruby-keyword kw">case</span> <span class="ruby-identifier">area</span>
 5:     <span class="ruby-keyword kw">when</span> <span class="ruby-value str">'templates'</span> 
 6:       <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">submit_tag</span>(<span class="ruby-value str">&quot;Create&quot;</span>, {<span class="ruby-identifier">:name=</span><span class="ruby-operator">&gt;</span><span class="ruby-value str">'button'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span><span class="ruby-value str">'area_button'</span>}) 
 7:     
 8:     <span class="ruby-keyword kw">when</span> <span class="ruby-value str">'stopped'</span>                      
 9:       <span class="ruby-identifier">buttons</span> = []
10:       <span class="ruby-identifier">buttons</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">submit_tag</span>(<span class="ruby-value str">'Start'</span>, {<span class="ruby-identifier">:name=</span><span class="ruby-operator">&gt;</span><span class="ruby-value str">'button'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span><span class="ruby-value str">'area_button'</span>})
11:       <span class="ruby-identifier">buttons</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">submit_tag</span>(<span class="ruby-value str">'Destroy'</span>, {<span class="ruby-identifier">:name=</span><span class="ruby-operator">&gt;</span><span class="ruby-value str">'button'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span><span class="ruby-value str">'area_button'</span>})
12:       <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">buttons</span>.<span class="ruby-identifier">join</span>(<span class="ruby-value str">&quot;\n&quot;</span>)
13:       
14:     <span class="ruby-keyword kw">when</span> <span class="ruby-value str">'started'</span>
15:       <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">submit_tag</span>(<span class="ruby-value str">'Stop'</span>, {<span class="ruby-identifier">:name=</span><span class="ruby-operator">&gt;</span><span class="ruby-value str">'button'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span><span class="ruby-value str">'area_button'</span>})
16:     <span class="ruby-keyword kw">else</span>
17:       <span class="ruby-value str">&quot;&quot;</span>
18:     <span class="ruby-keyword kw">end</span>
19:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000094" class="method-detail">
        <a name="M000094"></a>

        <div class="method-heading">
          <a href="#M000094" class="method-signature">
          <span class="method-name">display_area</span><span class="method-args">(area_type, items_html)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000094-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000094-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/cytoskeleton_helper.rb, line 21</span>
21:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">display_area</span>(<span class="ruby-identifier">area_type</span>, <span class="ruby-identifier">items_html</span>)
22:     <span class="ruby-identifier">out</span> = []
23:     <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">form_tag</span>(<span class="ruby-identifier">:controller</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'nucleus'</span>)
24:     <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">content_tag</span>(<span class="ruby-value str">&quot;h1&quot;</span>, <span class="ruby-identifier">area_type</span>.<span class="ruby-identifier">capitalize</span>)
25: 
26:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">items_html</span> <span class="ruby-operator">==</span> <span class="ruby-value str">' '</span> <span class="ruby-comment cmt"># rendering a partial on an empty collection returns</span>
27:                          <span class="ruby-comment cmt"># a space character!</span>
28:       <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-value str">'&lt;div&gt;No items here.&lt;/div&gt;'</span>
29:     <span class="ruby-keyword kw">else</span>
30:       <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">items_html</span>
31:       <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">area_controls</span>(<span class="ruby-identifier">area_type</span>)
32:     <span class="ruby-keyword kw">end</span>
33: 
34:     <span class="ruby-identifier">out</span> <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">end_form_tag</span>
35: 
36:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">out</span>.<span class="ruby-identifier">join</span>(<span class="ruby-value str">&quot;\n&quot;</span>)
37:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>